package com.bonus.canteen.core.order.common.dto;

import cn.hutool.core.bean.BeanUtil;
import com.bonus.canteen.core.order.common.query.OrderQueryParam;

import java.time.LocalDate;
import java.util.List;

public class OrderSearchParamDTO implements OrderQueryParam {
   private Long custId;
   private String macOrderId;
   private LocalDate orderDate;
   private LocalDate startDate;
   private LocalDate endDate;
   private Integer ifCoupon;
   private Integer ifOnline;
   private Integer nuClearMode;
   private String mealCode;
   private String tradeNo;
   private List<Integer> psnTypeList;
   private List<Integer> orderTypeList;
   private List<Integer> orderStateList;
   private List<Integer> mealtimeTypeList;
   private List<Integer> payStateList;
   private List<Integer> orderRefundStateList;
   private List<Integer> payTypeList;
   private List<Integer> deliveryTypeList;
   private List<Integer> sourceTypeList;
   private List<Long> orderIdList;
   private List<String> machineSnList;
   private List<Long> orgIdList;
   private List<Long> areaIdList;
   private List<Long> canteenIdList;
   private List<Long> stallIdList;
   private List<Long> roomIdList;
   private List<Long> operatorIdList;
   private List<Long> cashierIdList;
   private String custSearchInfo;
   private String goodsSearchInfo;
   private String buffetSearchInfo;
   private String deviceSearchInfo;

   public OrderSearchParam toSearchParam() {
      return (OrderSearchParam)BeanUtil.copyProperties(this, OrderSearchParam.class, new String[0]);
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getMacOrderId() {
      return this.macOrderId;
   }

   public LocalDate getOrderDate() {
      return this.orderDate;
   }

   public LocalDate getStartDate() {
      return this.startDate;
   }

   public LocalDate getEndDate() {
      return this.endDate;
   }

   public Integer getIfCoupon() {
      return this.ifCoupon;
   }

   public Integer getIfOnline() {
      return this.ifOnline;
   }

   public Integer getNuClearMode() {
      return this.nuClearMode;
   }

   public String getMealCode() {
      return this.mealCode;
   }

   public String getTradeNo() {
      return this.tradeNo;
   }

   public List<Integer> getPsnTypeList() {
      return this.psnTypeList;
   }

   public List<Integer> getOrderTypeList() {
      return this.orderTypeList;
   }

   public List<Integer> getOrderStateList() {
      return this.orderStateList;
   }

   public List<Integer> getMealtimeTypeList() {
      return this.mealtimeTypeList;
   }

   public List<Integer> getPayStateList() {
      return this.payStateList;
   }

   public List<Integer> getOrderRefundStateList() {
      return this.orderRefundStateList;
   }

   public List<Integer> getPayTypeList() {
      return this.payTypeList;
   }

   public List<Integer> getDeliveryTypeList() {
      return this.deliveryTypeList;
   }

   public List<Integer> getSourceTypeList() {
      return this.sourceTypeList;
   }

   public List<Long> getOrderIdList() {
      return this.orderIdList;
   }

   public List<String> getMachineSnList() {
      return this.machineSnList;
   }

   public List<Long> getOrgIdList() {
      return this.orgIdList;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public List<Long> getCanteenIdList() {
      return this.canteenIdList;
   }

   public List<Long> getStallIdList() {
      return this.stallIdList;
   }

   public List<Long> getRoomIdList() {
      return this.roomIdList;
   }

   public List<Long> getOperatorIdList() {
      return this.operatorIdList;
   }

   public List<Long> getCashierIdList() {
      return this.cashierIdList;
   }

   public String getCustSearchInfo() {
      return this.custSearchInfo;
   }

   public String getGoodsSearchInfo() {
      return this.goodsSearchInfo;
   }

   public String getBuffetSearchInfo() {
      return this.buffetSearchInfo;
   }

   public String getDeviceSearchInfo() {
      return this.deviceSearchInfo;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setMacOrderId(final String macOrderId) {
      this.macOrderId = macOrderId;
   }

   public void setOrderDate(final LocalDate orderDate) {
      this.orderDate = orderDate;
   }

   public void setStartDate(final LocalDate startDate) {
      this.startDate = startDate;
   }

   public void setEndDate(final LocalDate endDate) {
      this.endDate = endDate;
   }

   public void setIfCoupon(final Integer ifCoupon) {
      this.ifCoupon = ifCoupon;
   }

   public void setIfOnline(final Integer ifOnline) {
      this.ifOnline = ifOnline;
   }

   public void setNuClearMode(final Integer nuClearMode) {
      this.nuClearMode = nuClearMode;
   }

   public void setMealCode(final String mealCode) {
      this.mealCode = mealCode;
   }

   public void setTradeNo(final String tradeNo) {
      this.tradeNo = tradeNo;
   }

   public void setPsnTypeList(final List<Integer> psnTypeList) {
      this.psnTypeList = psnTypeList;
   }

   public void setOrderTypeList(final List<Integer> orderTypeList) {
      this.orderTypeList = orderTypeList;
   }

   public void setOrderStateList(final List<Integer> orderStateList) {
      this.orderStateList = orderStateList;
   }

   public void setMealtimeTypeList(final List<Integer> mealtimeTypeList) {
      this.mealtimeTypeList = mealtimeTypeList;
   }

   public void setPayStateList(final List<Integer> payStateList) {
      this.payStateList = payStateList;
   }

   public void setOrderRefundStateList(final List<Integer> orderRefundStateList) {
      this.orderRefundStateList = orderRefundStateList;
   }

   public void setPayTypeList(final List<Integer> payTypeList) {
      this.payTypeList = payTypeList;
   }

   public void setDeliveryTypeList(final List<Integer> deliveryTypeList) {
      this.deliveryTypeList = deliveryTypeList;
   }

   public void setSourceTypeList(final List<Integer> sourceTypeList) {
      this.sourceTypeList = sourceTypeList;
   }

   public void setOrderIdList(final List<Long> orderIdList) {
      this.orderIdList = orderIdList;
   }

   public void setMachineSnList(final List<String> machineSnList) {
      this.machineSnList = machineSnList;
   }

   public void setOrgIdList(final List<Long> orgIdList) {
      this.orgIdList = orgIdList;
   }

   public void setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
   }

   public void setCanteenIdList(final List<Long> canteenIdList) {
      this.canteenIdList = canteenIdList;
   }

   public void setStallIdList(final List<Long> stallIdList) {
      this.stallIdList = stallIdList;
   }

   public void setRoomIdList(final List<Long> roomIdList) {
      this.roomIdList = roomIdList;
   }

   public void setOperatorIdList(final List<Long> operatorIdList) {
      this.operatorIdList = operatorIdList;
   }

   public void setCashierIdList(final List<Long> cashierIdList) {
      this.cashierIdList = cashierIdList;
   }

   public void setCustSearchInfo(final String custSearchInfo) {
      this.custSearchInfo = custSearchInfo;
   }

   public void setGoodsSearchInfo(final String goodsSearchInfo) {
      this.goodsSearchInfo = goodsSearchInfo;
   }

   public void setBuffetSearchInfo(final String buffetSearchInfo) {
      this.buffetSearchInfo = buffetSearchInfo;
   }

   public void setDeviceSearchInfo(final String deviceSearchInfo) {
      this.deviceSearchInfo = deviceSearchInfo;
   }
}
